datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu133bhsug <- function() showQCData("hgu133bhsug", datacache)
hgu133bhsug_dbconn <- function() dbconn(datacache)
hgu133bhsug_dbfile <- function() dbfile(datacache)
hgu133bhsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu133bhsug_dbInfo <- function() dbInfo(datacache)

hgu133bhsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu133bhsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu133bhsug", "chip hgu133bhsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu133bhsug_dbconn())
}

